
#pragma once
#include <librdkafka/rdkafkacpp.h>

class DeliveryReportCb: public RdKafka::DeliveryReportCb {
public:
	void dr_cb(RdKafka::Message &message) {
		/* If message.err() is non-zero the message delivery failed permanently
		 * for the message. */
		if (message.err())
			std::cerr << "Kafka Provider error: Message delivery failed: " << message.errstr()
					<< std::endl;
	}
};
